| Flutter Linux Embedder |

Public Attributes | List of all members
FlAccessibleNodePrivate Struct Reference

## Public Attributes
AtkObject | parent_instance
FlEngine * | engine
FlutterViewId | view_id
| The unique identifier of the view to which this node belongs. More...
AtkObject * | parent
int32_t | node_id
gchar * | name
gint | index
gint | x
gint | y
gint | width
gint | height
GPtrArray * | actions
gsize | actions_length
GPtrArray * | children
FlutterSemanticsFlag | flags

## Detailed Description

Definition at line 65 of file fl_accessible_node.cc.

## Member Data Documentation

## ◆ actions

GPtrArray* FlAccessibleNodePrivate::actions

Definition at line 81 of file fl_accessible_node.cc.

## ◆ actions_length

gsize FlAccessibleNodePrivate::actions_length

Definition at line 82 of file fl_accessible_node.cc.

## ◆ children

GPtrArray* FlAccessibleNodePrivate::children

Definition at line 83 of file fl_accessible_node.cc.

## ◆ engine

FlEngine* FlAccessibleNodePrivate::engine

Definition at line 69 of file fl_accessible_node.cc.

## ◆ flags

FlutterSemanticsFlag FlAccessibleNodePrivate::flags

Definition at line 84 of file fl_accessible_node.cc.

## ◆ height

gint FlAccessibleNodePrivate::height

Definition at line 80 of file fl_accessible_node.cc.

## ◆ index

gint FlAccessibleNodePrivate::index

Definition at line 79 of file fl_accessible_node.cc.

## ◆ name

gchar* FlAccessibleNodePrivate::name

Definition at line 78 of file fl_accessible_node.cc.

## ◆ node_id

int32_t FlAccessibleNodePrivate::node_id

Definition at line 77 of file fl_accessible_node.cc.

## ◆ parent

AtkObject* FlAccessibleNodePrivate::parent

Definition at line 75 of file fl_accessible_node.cc.

## ◆ parent_instance

AtkObject FlAccessibleNodePrivate::parent_instance

Definition at line 66 of file fl_accessible_node.cc.

## ◆ view_id

FlutterViewId FlAccessibleNodePrivate::view_id

The unique identifier of the view to which this node belongs.

Definition at line 72 of file fl_accessible_node.cc.

## ◆ width

gint FlAccessibleNodePrivate::width

Definition at line 80 of file fl_accessible_node.cc.

## ◆ x

gint FlAccessibleNodePrivate::x

Definition at line 80 of file fl_accessible_node.cc.

## ◆ y

gint FlAccessibleNodePrivate::y

Definition at line 80 of file fl_accessible_node.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_accessible_node.cc